#      Makefile generated by configSvc. Do not Edit
include ../Makefile.config
                                       
ifeq ($(INCDIR), )
     INCDIR = ../..
endif
          
ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif
                                       
ifeq ($(SHOBJ), YES)
XTRACXXFLAGS = -I/usr/include/CC -D_HAS_CA
else
XTRACXXFLAGS = -I/usr/include/CC -I/devl/epics/base/include -I/home/pss060/sls/watson/work/cdev_1.7.2/src/ca -D_HAS_CA
endif
            
OBJS = $(OBJTYPE)/cdevSvcFinder.o $(OBJTYPE)/cdevDirectory.o $(OBJTYPE)/cdevDirectoryTable.o $(OBJTYPE)/cdevDirectoryTool.o $(OBJTYPE)/cdevDirRequestObj.o $(OBJTYPE)/cdevSvcConfig.o
            
targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs
            
$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
            
$(OBJDIR)/$(OBJTYPE) :
	@mkdir $(OBJDIR)/$(OBJTYPE)
            
copyobjs: $(OBJS)
	cp $(OBJS) $(OBJDIR)/$(OBJTYPE)
                      
copyincs:
	cp *.h $(INCDIR)
                      
                      
clean: clean_hail
	rm -rf *.o *.a *~ *.sl .obj .shobj core prtrpository
